Message: Re: Problems Compiling A01app Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: Problems Compiling A01app 

Keywords: Compiling A01
Forum: Analysis
Re: Question Problems Compiling A01app (Francisco Garcia)
Date: 04 Dec, 2003
From: Mark Donszelmann <Mark Donszelmann>

Hi,

I figured you are running:

JDK 1.4.2 JAIDA 3.2.0 AIDAJNI 3.0.4

but I cannot see what version of G4 you have?

For G4.5.2 you can use the JAIDA-AIDAJNI combinations mentioned above.

However, you need to follow what is in the ReleaseNotes of AIDAJNI strictly. The setup of AIDAJNI and JAIDA has changed between 3.0.3 and 3.0.4.

You need to get rid of the extlib directory completely. No need to copy or rename g++3 and any of its libs. Run the appropriate scripts (as mentioned in the ReleaseNotes). It will setup the commands to compile, link and run (CLASSPATH).

Then get the latest overlay for A01 for G4.5.2. This will only fix some code problems in A01 and get new setup files. It will not get you any libraries, as these are now part of JAIDA and AIDAJNI.

The file JASAIDA.jar is not anymore part of JAIDA.

If you have tried this and still have problems, then let us know.

Regards Mark Donszelmann

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Problems Compiling A01app   (francisco.garcia@helsinki.fi - 08 Dec, 2003)
(_ None: Re: Problems Compiling A01app   (Mark Donszelmann - 08 Dec, 2003)
(_ None: Re: Problems Compiling A01app   (Francisco Garcia - 08 Dec, 2003)
(_ None: Re: Problems Compiling A01app   (Mark Donszelmann - 09 Dec, 2003)
 Add Message Add Message
to: "Re: Problems Compiling A01app"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]